package com.hfkj.service;


import com.hfkj.entity.BsDevice;
import com.hfkj.entity.BsGasOrder;

import java.util.List;
import java.util.Map;

/**
 * 设备管理
 * @author hurui
 */
public interface BsDeviceService {

    /**
     * 编辑设备
     * @param device
     */
    void editDevice(BsDevice device);

    /**
     * 查询设备详情
     * @param deviceId
     * @return
     */
    BsDevice getDetailById(Long deviceId);

    /**
     * 查询商户设备
     * @param merId
     * @return
     */
    List<BsDevice> getDeviceByMer(Long merId);

    /**
     * 查询设备列表
     * @param param
     * @return
     */
    List<BsDevice> getDeviceList(Map<String, Object> param);

    /**
     * 打印加油订单
     * @param merId  商户id
     * @param gasOrder  加油订单
     * @param makeUp 是否补打
     */
    void printGasOrder(Long merId, BsGasOrder gasOrder, boolean makeUp);

}
